﻿using System;
using System.ComponentModel;

namespace WindowsFormsApplication1
{
    public class TestItemList : BindingList<TestItem>
    {
        private int _seed;
        private Random _rnd;
        public TestItemList()
        {

            _seed = DateTime.Now.Millisecond;
            _rnd = new Random(_seed);

            for (int i = 0; i < 100; i++)
            {
                TestItem itm = new TestItem();
                itm.Id = Guid.NewGuid();
                itm.Text1 = CreateRandomString();
                itm.Text2 = CreateRandomString();
                itm.Text3 = CreateRandomString();
                itm.Text4 = CreateRandomString();
                this.Add(itm);
            }
        }

        private string CreateRandomString()
        {
            string retVal = "";
            for (int c = 1; c <= 10; c++)
            {
                retVal = retVal + Convert.ToChar(_rnd.Next(101, 132));
            }
            return retVal;
        }
    }
}